#   File:       spComponent-cbn.make
#   Target:     spComponent-cbn
#   Created:    Monday, August 7, 2000 01:05:43 AM


MAKEFILE        = spComponent-cbn.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = ::spBase:
SpLibDir  	= ::lib:

ObjDir          = :
Includes        =  
				  -i : 
				  -i {SpBaseDir}

Sym-CBN         = -sym off

PPCCOptions     = {Includes} {Sym-CBN} -d TARGET_API_MAC_CARBON=1 -includes unix -enum int -j0 -w 35


### Source Files ###

SrcFiles        =  
				  spButton.c 
				  spButton_Mac.c 
				  spCanvas.c 
				  spCanvas_Mac.c 
				  spComboBox.c 
				  spComboBox_Mac.c 
				  spComponent.c 
				  spComponent_Mac.c 
				  spContainer.c 
				  spContainer_Mac.c 
				  spDial.c 
				  spDialog.c 
				  spDialogBox.c 
				  spDialog_Mac.c 
				  spDIBitmap.c 
				  spDIBitmap_Mac.c 
				  spDIBitmap_Plugin.c 
				  spDraw.c 
				  spDraw_Mac.c 
				  spFrame.c 
				  spFrame_Mac.c 
				  spGraphics.c 
				  spGraphics_Mac.c 
				  spImage.c 
				  spImage_Mac.c 
				  spLabel.c 
				  spLabel_Mac.c 
				  spList.c 
				  spList_Mac.c 
				  spLocale.c 
				  spLocale_Mac.c 
				  spMenu.c 
				  spMenuItem.c 
				  spMenuItem_Mac.c 
				  spMenu_Mac.c 
				  spObject.c 
				  spParamField.c 
				  spPrimitive.c 
				  spPrimitive_Mac.c 
				  spSlider.c 
				  spSlider_Mac.c 
				  spStatusBar.c 
				  spStatusBar_Mac.c 
				  spTabBox.c 
				  spTabBox_Mac.c 
				  spText.c 
				  spText_Mac.c 
				  spToolBar.c 
				  spToolBar_Mac.c 
				  spToolItem.c 
				  spToolItem_Mac.c 
				  spDrawingPlugin.c 
				  spDrawingPlugin_PS.c 
				  spDrawingPluginPrinter_Mac.c 
				  spPluginCanvas.c 
				  spProgressBar.c 
				  spProgressBar_Mac.c 
				  spTopLevel.c 
				  spTopLevel_Mac.c


### Object Files ###

ObjFiles-CBN    =  
				  "{ObjDir}spButton.c.y" 
				  "{ObjDir}spButton_Mac.c.y" 
				  "{ObjDir}spCanvas.c.y" 
				  "{ObjDir}spCanvas_Mac.c.y" 
				  "{ObjDir}spComboBox.c.y" 
				  "{ObjDir}spComboBox_Mac.c.y" 
				  "{ObjDir}spComponent.c.y" 
				  "{ObjDir}spComponent_Mac.c.y" 
				  "{ObjDir}spContainer.c.y" 
				  "{ObjDir}spContainer_Mac.c.y" 
				  "{ObjDir}spDial.c.y" 
				  "{ObjDir}spDialog.c.y" 
				  "{ObjDir}spDialogBox.c.y" 
				  "{ObjDir}spDialog_Mac.c.y" 
				  "{ObjDir}spDIBitmap.c.y" 
				  "{ObjDir}spDIBitmap_Mac.c.y" 
				  "{ObjDir}spDIBitmap_Plugin.c.y" 
				  "{ObjDir}spDraw.c.y" 
				  "{ObjDir}spDraw_Mac.c.y" 
				  "{ObjDir}spFrame.c.y" 
				  "{ObjDir}spFrame_Mac.c.y" 
				  "{ObjDir}spGraphics.c.y" 
				  "{ObjDir}spGraphics_Mac.c.y" 
				  "{ObjDir}spImage.c.y" 
				  "{ObjDir}spImage_Mac.c.y" 
				  "{ObjDir}spLabel.c.y" 
				  "{ObjDir}spLabel_Mac.c.y" 
				  "{ObjDir}spList.c.y" 
				  "{ObjDir}spList_Mac.c.y" 
				  "{ObjDir}spLocale.c.y" 
				  "{ObjDir}spLocale_Mac.c.y" 
				  "{ObjDir}spMenu.c.y" 
				  "{ObjDir}spMenuItem.c.y" 
				  "{ObjDir}spMenuItem_Mac.c.y" 
				  "{ObjDir}spMenu_Mac.c.y" 
				  "{ObjDir}spObject.c.y" 
				  "{ObjDir}spParamField.c.y" 
				  "{ObjDir}spPrimitive.c.y" 
				  "{ObjDir}spPrimitive_Mac.c.y" 
				  "{ObjDir}spSlider.c.y" 
				  "{ObjDir}spSlider_Mac.c.y" 
				  "{ObjDir}spStatusBar.c.y" 
				  "{ObjDir}spStatusBar_Mac.c.y" 
				  "{ObjDir}spTabBox.c.y" 
				  "{ObjDir}spTabBox_Mac.c.y" 
				  "{ObjDir}spText.c.y" 
				  "{ObjDir}spText_Mac.c.y" 
				  "{ObjDir}spToolBar.c.y" 
				  "{ObjDir}spToolBar_Mac.c.y" 
				  "{ObjDir}spToolItem.c.y" 
				  "{ObjDir}spToolItem_Mac.c.y" 
				  "{ObjDir}spDrawingPlugin.c.y" 
				  "{ObjDir}spDrawingPlugin_PS.c.y" 
				  "{ObjDir}spDrawingPluginPrinter_Mac.c.y" 
				  "{ObjDir}spPluginCanvas.c.y" 
				  "{ObjDir}spProgressBar.c.y" 
				  "{ObjDir}spProgressBar_Mac.c.y" 
				  "{ObjDir}spTopLevel.c.y" 
				  "{ObjDir}spTopLevel_Mac.c.y"


### Libraries ###

LibFiles-CBN    = 


### Default Rules ###

.c.y    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.y {PPCCOptions}


### Build Rules ###

spComponent-cbn      spComponent-cbn.o

spComponent-cbn.o    {ObjFiles-CBN} {LibFiles-CBN} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-CBN} 
		{LibFiles-CBN} 
		{Sym-CBN} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}



### Required Dependencies ###

"{ObjDir}spButton.c.y"    spButton.c
"{ObjDir}spButton_Mac.c.y"    spButton_Mac.c
"{ObjDir}spCanvas.c.y"    spCanvas.c
"{ObjDir}spCanvas_Mac.c.y"    spCanvas_Mac.c
"{ObjDir}spComboBox.c.y"    spComboBox.c
"{ObjDir}spComboBox_Mac.c.y"    spComboBox_Mac.c
"{ObjDir}spComponent.c.y"    spComponent.c
"{ObjDir}spComponent_Mac.c.y"    spComponent_Mac.c
"{ObjDir}spContainer.c.y"    spContainer.c
"{ObjDir}spContainer_Mac.c.y"    spContainer_Mac.c
"{ObjDir}spDial.c.y"    spDial.c
"{ObjDir}spDialog.c.y"    spDialog.c
"{ObjDir}spDialogBox.c.y"    spDialogBox.c
"{ObjDir}spDialog_Mac.c.y"    spDialog_Mac.c
"{ObjDir}spDIBitmap.c.y"    spDIBitmap.c
"{ObjDir}spDIBitmap_Mac.c.y"    spDIBitmap_Mac.c
"{ObjDir}spDIBitmap_Plugin.c.y"    spDIBitmap_Plugin.c
"{ObjDir}spDraw.c.y"    spDraw.c
"{ObjDir}spDraw_Mac.c.y"    spDraw_Mac.c
"{ObjDir}spFrame.c.y"    spFrame.c
"{ObjDir}spFrame_Mac.c.y"    spFrame_Mac.c
"{ObjDir}spGraphics.c.y"    spGraphics.c
"{ObjDir}spGraphics_Mac.c.y"    spGraphics_Mac.c
"{ObjDir}spImage.c.y"    spImage.c
"{ObjDir}spImage_Mac.c.y"    spImage_Mac.c
"{ObjDir}spLabel.c.y"    spLabel.c
"{ObjDir}spLabel_Mac.c.y"    spLabel_Mac.c
"{ObjDir}spList.c.y"    spList.c
"{ObjDir}spList_Mac.c.y"    spList_Mac.c
"{ObjDir}spLocale.c.y"    spLocale.c
"{ObjDir}spLocale_Mac.c.y"    spLocale_Mac.c
"{ObjDir}spMenu.c.y"    spMenu.c
"{ObjDir}spMenuItem.c.y"    spMenuItem.c
"{ObjDir}spMenuItem_Mac.c.y"    spMenuItem_Mac.c
"{ObjDir}spMenu_Mac.c.y"    spMenu_Mac.c
"{ObjDir}spObject.c.y"    spObject.c
"{ObjDir}spParamField.c.y"    spParamField.c
"{ObjDir}spPrimitive.c.y"    spPrimitive.c
"{ObjDir}spPrimitive_Mac.c.y"    spPrimitive_Mac.c
"{ObjDir}spSlider.c.y"    spSlider.c
"{ObjDir}spSlider_Mac.c.y"    spSlider_Mac.c
"{ObjDir}spStatusBar.c.y"    spStatusBar.c
"{ObjDir}spStatusBar_Mac.c.y"    spStatusBar_Mac.c
"{ObjDir}spTabBox.c.y"    spTabBox.c
"{ObjDir}spTabBox_Mac.c.y"    spTabBox_Mac.c
"{ObjDir}spText.c.y"    spText.c
"{ObjDir}spText_Mac.c.y"    spText_Mac.c
"{ObjDir}spToolBar.c.y"    spToolBar.c
"{ObjDir}spToolBar_Mac.c.y"    spToolBar_Mac.c
"{ObjDir}spToolItem.c.y"    spToolItem.c
"{ObjDir}spToolItem_Mac.c.y"    spToolItem_Mac.c
"{ObjDir}spDrawingPlugin.c.y"    spDrawingPlugin.c
"{ObjDir}spDrawingPlugin_PS.c.y"    spDrawingPlugin_PS.c
"{ObjDir}spDrawingPluginPrinter_Mac.c.y"    spDrawingPluginPrinter_Mac.c
"{ObjDir}spPluginCanvas.c.y"    spPluginCanvas.c
"{ObjDir}spProgressBar.c.y"    spProgressBar.c
"{ObjDir}spProgressBar_Mac.c.y"    spProgressBar_Mac.c
"{ObjDir}spTopLevel.c.y"    spTopLevel.c
"{ObjDir}spTopLevel_Mac.c.y"    spTopLevel_Mac.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .y 
		{Includes} 
		{SrcFiles}


